
.lamination {
    position: relative;
    padding-top: rem(40);
    padding-bottom: rem(30);

    &:before {
        top: 0;
        bottom: 0;
        z-index: 1;
        content: '';
        width: 1423px;
        left: calc(50% - 850px);
        position: absolute;
        background: url("../img/lamination_bg.webp") 50% 50% no-repeat;
        background-size: cover;

    }

    &:after {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 10;
        content: '';
        display: block;
        position: absolute;
        background: radial-gradient(142.31% 805.04% at -8.59% 167.38%, rgba(250, 233, 26, 0.1) 0%, rgba(77, 184, 81, 0.1) 41.15%, rgba(48, 142, 205, 0.1) 100%);

    }

    .container {
        z-index: 20;
        position: relative;
    }

    &__heading {
        margin-bottom: rem(32);

        &--md {
            display: none;
        }
    }

    &__media {
        text-align: center;
        margin-bottom: rem(13);
    }

    &__image {
        width: rem(121);
        position: relative;
        margin: 0 auto rem(8) auto;
    }

    &__pic {
        top: 0;
        left: 0;
        width: 100%;
    }

    &__name {
        min-height: rem(34);
        font-weight: 700;
        font-size: rem(16);
        line-height: rem(18);
        padding: rem(4) rem(15);
        border-radius: 17px;
        position: relative;
        display: inline-flex;
        align-items: center;
        justify-content: center;
        background: rgb(77,184,81);
        background: linear-gradient(90deg, rgba(77,184,81,1) 0%, rgba(48,142,205,1) 100%);

        &:before {
            top: 2px;
            left: 2px;
            right: 2px;
            bottom: 2px;
            content: '';
            z-index: 1;
            background: $white;
            position: absolute;
            border-radius: 16px;
        }

        span {
            z-index: 10;
            position: relative;
            display: inline-block;
        }
    }

    &__colors {
        width: 300px;
        margin: 0 auto;
        display: flex;
        flex-wrap: wrap;
        align-items: center;
    }

    &__bg {
        display: none;
    }

    @include media-breakpoint-up(sm) {

        &__wrap {
            display: flex;
            align-items: flex-start;
            justify-content: space-between;
        }

        &__media {
            width: rem(220);
            flex-shrink: 0;
            margin-bottom: 0;
        }

        &__content {
            padding-left: rem(10);
        }

        &__colors {
            margin-right: rem(-10);
        }
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(80);
        padding-bottom: rem(65);

        &__heading {
            font-size: rem(20);
            line-height: rem(30);
            margin-bottom: rem(60);

            &--sm {
                display: none;
            }

            &--md {
                display: block;
            }
        }

        &__media {
            width: rem(240);
        }

        &__image {
            width: rem(200);
            margin: 0 auto rem(12) auto;
        }

        &__name {
            width: rem(240);
            max-width: rem(240);
        }

        &__content {
            width: 516px;
        }

        &__colors {
            width: auto;
            margin: 0 -12px;
        }
    }

    @include media-breakpoint-up(lg) {

        &:before {
            left: 0;
            right: 0;
            width: 100%;
            background-position: 50% 50%;
        }

        &__heading {
            font-size: rem(30);
            line-height: rem(57);
        }
    }

    @include media-breakpoint-up(xl) {

        &__wrap {
            padding-left: rem(30);
        }

        &__media {
            width: rem(300);
        }

        &__image {
            width: rem(274);
            margin-bottom: rem(13);
        }

        &__heading {
            margin-bottom: rem(86);
        }

        &__content {
            width: 756px;
        }

        &__name {
            width: 100%;
            max-width: 100%;
            font-size: rem(24);
            line-height: rem(24);
            border-radius: 30px;
            min-height: rem(60);

            &:before {
                top: 4px;
                left: 4px;
                right: 4px;
                bottom: 4px;
                border-radius: 30px;
            }
        }

        &__bg {
            z-index: 5;
            display: block;
            left: calc(50% - 154px);
            width: 744px;
            bottom: 0;
            position: absolute;
        }
    }
}

.lamination-color {
    font-size: 0;
    line-height: 0;
    padding: 3px;
    cursor: pointer;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    margin: 0 5px 10px 5px;
    border: 2px solid $white;
    background: transparent;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: .3s;

    &__image {
        border-radius: 50%;
    }



    &:hover {
        border-color: #308ECD;
        transition: .3s;
    }

    &.active {
        border-color: #4db85100;
        background: linear-gradient(#f0f0f0 0 0) padding-box, linear-gradient(to right, $green, $blue) border-box;
    }

    @include media-breakpoint-up(md) {
        width: 64px;
        height: 64px;
        margin: 0 12px 24px 12px;
    }

    @include media-breakpoint-up(xl) {
        width: 104px;
        height: 104px;
        padding: 7px;
        border-width: 4px;
    }
}
